package examples.hibernate;

import java.util.Date;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;

import examples.hibernate.domain.*;

public class Exercise {
    public static void main(String args[]) throws Exception {
	SessionFactory factory = PersistenceUtil.getSessionFactory();
	Session session = factory.getCurrentSession();  // start first unit of work
	Transaction tx = null;
	try {
	    tx = session.beginTransaction();            // start transaction
	    // create objects
	    Person person = new Person("Teacher", "P1234567890");
	    Event event = new Event("Laboratorial Class", new Date(), Event.EventType.CLASS, person);
	    session.save(person);                       // mark as persistent
	    session.save(event);
	    tx.commit();                                // commit transaction & end unit of work
	} catch (RuntimeException ex) {
	    if (tx != null) tx.rollback();              // abort transaction
	    throw ex;
	}

	session = factory.getCurrentSession();          // start second unit of work
	try {
	    tx = session.beginTransaction();            // start transaction
	    // obtain event and print it to the standard output
	    Event event = (Event) session.load(Event.class, new Long(1));
	    System.out.println(event);
	    tx.commit();                                // commit transaction & end unit of work
	} catch (RuntimeException ex) {
	    if (tx != null) tx.rollback();              // abort transaction
	    throw ex;
	}
    }
}
