package examples.hibernate.domain;

import javax.persistence.*;

@Entity
public class Person {
    private String name;                     // persistent property
    private String passportNumber;           // persistent property

    /** 
     * Unique identifier.
     */
    @SuppressWarnings("unused")
    @Id @GeneratedValue(strategy=GenerationType.AUTO)
    private Long id;

    protected Person() { }

    public Person(String name, String passportNumber) {
	setName(name);
	setPassportNumber(passportNumber);
    }

    public String getName() {
	return name;
    }

    public void setName(String name) {
	this.name = name;
    }

    public String getPassportNumber() {
	return passportNumber;
    }

    public void setPassportNumber(String passportNumber) {
	this.passportNumber= passportNumber;
    }

    public String toString() {
	StringBuilder sb = new StringBuilder(name)
				.append("\t (Passport: ").append(passportNumber).append(")");
	return sb.toString();
    }
}
